/* Custom Class */
.d-none{
    display: none !important;
}
.col-centered{
    float: none !important;
    margin: 0 auto;
}

.btn-round-custom {
    height: 30px;
    width: 30px;
    padding: 3px;
    font-size: 16px;
    border-radius: 30px;
}
.control-label{
    font-weight: bold;
}

.header-btn{
    float: right;
    margin-top: -25px;
}

.bg-warning{
    background-color: #ed9c28 !important;
}

.form-group label > span{
    color: red;
}
.form-control {
    border-radius: 0px;
}
.form-control:focus {
    border-color: #0f1b25;
    box-shadow: none;
}

.d-done{
    display: none !important;
}

.invalid-feedback{
    color: red;
}


.document a{
    color: #0f1b25;
    text-decoration: none;
    transition: 0.3s all ease-in-out;
}
.document a:hover{
    color: #d2322d;
    text-decoration: none;
    transition: 0.3s all ease-in-out;
}


a#ToolTables_datatable-tabletools_3 {
    border: 1px solid #0f1b25;
    color: #0f1b25 !important;
    background: transparent;
    font-weight: 600;
    transition: 0.3s all ease-in-out;
}
a#ToolTables_datatable-tabletools_3:hover {
    border: 1px solid #0f1b25;
    color: #ffffff !important;
    background: #0f1b25;
    transition: 0.3s all ease-in-out;
}


td.action-td{
    padding: 5px !important;
}
.btn-sm-custom.btn-custom-info{
    padding: 2px 9px;
    border-radius: 0px;
    background: #fff;
    color: #1052a0;
    border-color: #1052a0;
    transition: 0.3s all ease-in-out;
}
.btn-sm-custom.btn-custom-info:hover,
.btn-sm-custom.btn-custom-info:focus,
.btn-sm-custom.btn-custom-info:active{
    background: #1052a0;
    color: #ffffff;
    border-color: #1052a0 !important;
    transition: 0.3s all ease-in-out;
}
.btn-sm-custom.btn-custom-info.btn-download{
    padding: 2px 7px;
}

.btn-sm-custom.btn-custom-danger.btn-delete{
    padding: 2px 9px;
    border-radius: 0px;
    background: #fff;
    color: #d2322d;
    border-color: #d2322d;
    transition: 0.3s all ease-in-out;
}
.btn-sm-custom.btn-custom-danger.btn-delete:hover,
.btn-sm-custom.btn-custom-danger.btn-delete:focus,
.btn-sm-custom.btn-custom-danger.btn-delete:active{
    background: #d2322d;
    color: #ffffff;
    border-color: #d2322d !important;
    transition: 0.3s all ease-in-out;
}


.select2-container-active .select2-choice, .select2-container-multi.select2-container-active .select2-choices{
    outline: none !important;
    box-shadow: none !important;
}
.dataTables_wrapper .dataTables_length .select2-container {
    border-color: #0f1b25;
    box-shadow: none;
    outline: none;
}
.select2-container-active .select2-choice, .select2-container-multi.select2-container-active .select2-choices {
    border-color: #0f1b25;
}
.select2-drop-active {
    border-color: #0f1b25;
}
.select2-drop-active {
    border: 1px solid #0f1b25;
    border-top: none;
}
.select2-results {
    max-height: 200px;
    padding: 0 0 0 0px;
    margin: 0;
}
.select2-results .select2-highlighted {
    color: #FFF;
    background-color: #0f1b25;
}

.pagination > li a {
    color: #0f1b25;
    font-weight: 600;
}
.pagination > li a:hover {
    background-color: #0f1b25;
    border-color: #0f1b25;
    color: #ffffff;
}
html .pagination > li.active a, html.dark .pagination > li.active a,
html .pagination > li.active a, html.dark .pagination > li.active a:hover,
html .pagination > li.active a, html.dark .pagination > li.active a:focus,
html .pagination > li.active a, html.dark .pagination > li.active a:active,
html .pagination > li.active a, html.dark .pagination > li.active a, html .pagination > li.active span, html.dark .pagination > li.active span, 
html .pagination > li.active a:hover, 
html.dark .pagination > li.active a:hover, 
html .pagination > li.active span:hover, 
html.dark .pagination > li.active span:hover, 
html .pagination > li.active a:focus, 
html.dark .pagination > li.active a:focus, 
html .pagination > li.active span:focus, 
html.dark .pagination > li.active span:focus {
    background-color: #0f1b25;
    border-color: #0f1b25;
    color: #ffffff;
}


/* Datepicker */
.datepicker table tr td.active:hover, .datepicker table tr td.active:hover:hover, .datepicker table tr td.active.disabled:hover, .datepicker table tr td.active.disabled:hover:hover, .datepicker table tr td.active:focus, .datepicker table tr td.active:hover:focus, .datepicker table tr td.active.disabled:focus, .datepicker table tr td.active.disabled:hover:focus, .datepicker table tr td.active:active, .datepicker table tr td.active:hover:active, .datepicker table tr td.active.disabled:active, .datepicker table tr td.active.disabled:hover:active, .datepicker table tr td.active.active, .datepicker table tr td.active:hover.active, .datepicker table tr td.active.disabled.active, .datepicker table tr td.active.disabled:hover.active, .open .dropdown-toggle.datepicker table tr td.active, .open .dropdown-toggle.datepicker table tr td.active:hover, .open .dropdown-toggle.datepicker table tr td.active.disabled, .open .dropdown-toggle.datepicker table tr td.active.disabled:hover,
.datepicker table tr td span.active:hover, .datepicker table tr td span.active:hover:hover, .datepicker table tr td span.active.disabled:hover, .datepicker table tr td span.active.disabled:hover:hover, .datepicker table tr td span.active:focus, .datepicker table tr td span.active:hover:focus, .datepicker table tr td span.active.disabled:focus, .datepicker table tr td span.active.disabled:hover:focus, .datepicker table tr td span.active:active, .datepicker table tr td span.active:hover:active, .datepicker table tr td span.active.disabled:active, .datepicker table tr td span.active.disabled:hover:active, .datepicker table tr td span.active.active, .datepicker table tr td span.active:hover.active, .datepicker table tr td span.active.disabled.active, .datepicker table tr td span.active.disabled:hover.active, .open .dropdown-toggle.datepicker table tr td span.active, .open .dropdown-toggle.datepicker table tr td span.active:hover, .open .dropdown-toggle.datepicker table tr td span.active.disabled, .open .dropdown-toggle.datepicker table tr td span.active.disabled:hover {
    background-color: #0f1b25;
    border-color: #0f1b25;
}
.datepicker table tbody tr td.day.active,
.datepicker table tbody tr td.day:hover {
    background: #071119;
    border-radius: 3px;
}
.datepicker table thead tr:first-child th:hover {
    background: #0f1b25;
    border-radius: 3px;
}
.datepicker table tr td span:hover {
    background: #0f1b25;
}

.select2-container .select2-choices .select2-search-field input, 
.select2-container .select2-choice, 
.select2-container .select2-choices{
    border-radius: 0px !important;
}